package domain


type AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder struct {
    /*
        外部子单号     */
    SubOutOrderId  *string `json:"sub_out_order_id,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        销售商品数量     */
    SaleQuantity  *int64 `json:"sale_quantity,omitempty" `

    /*
        销售单价     */
    SalePrice  *int64 `json:"sale_price,omitempty" `

    /*
        实际支付金额     */
    PayFee  *int64 `json:"pay_fee,omitempty" `

    /*
        原始金额     */
    OriginFee  *int64 `json:"origin_fee,omitempty" `

    /*
        优惠金额     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        营销优惠明细     */
    DiscountInfos  *[]AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo `json:"discount_infos,omitempty" `

    /*
        子单优惠金额商家分摊     */
    MerchantDiscountFee  *int64 `json:"merchant_discount_fee,omitempty" `

    /*
        子单优惠金额平台分摊     */
    PlatformDiscountFee  *int64 `json:"platform_discount_fee,omitempty" `

    /*
        子单商品总重量     */
    TotalWeight  *int64 `json:"total_weight,omitempty" `

    /*
        处理方式     */
    HandlingType  *string `json:"handling_type,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetSubOutOrderId(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.SubOutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetSkuCode(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.SkuCode = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetSaleQuantity(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.SaleQuantity = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetSalePrice(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.SalePrice = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetPayFee(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.PayFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetOriginFee(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.OriginFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetDiscountInfos(v []AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.DiscountInfos = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetMerchantDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.MerchantDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetPlatformDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.PlatformDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetTotalWeight(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.TotalWeight = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder) SetHandlingType(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateSubOrder {
    s.HandlingType = &v
    return s
}
